EncryptionAlgorithm (Bouncy Castle Library 1.52 API Specification)
Date: 2015-03-01

org.bouncycastle.crypto.tls

## Class EncryptionAlgorithm

- java.lang.Object
- - org.bouncycastle.crypto.tls.EncryptionAlgorithm

-     public class EncryptionAlgorithm
      extends java.lang.Object

  RFC 2246

  Note that the values here are implementation-specific and arbitrary. It is recommended not to depend on the particular values (e.g. serialization).

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `_3DES_EDE_CBC`
    `static int` | `AEAD_CHACHA20_POLY1305`
    `static int` | `AES_128_CBC`
    `static int` | `AES_128_CCM`
    `static int` | `AES_128_CCM_8`
    `static int` | `AES_128_GCM`
    `static int` | `AES_256_CBC`
    `static int` | `AES_256_CCM`
    `static int` | `AES_256_CCM_8`
    `static int` | `AES_256_GCM`
    `static int` | `CAMELLIA_128_CBC`
    `static int` | `CAMELLIA_128_GCM`
    `static int` | `CAMELLIA_256_CBC`
    `static int` | `CAMELLIA_256_GCM`
    `static int` | `DES_CBC`
    `static int` | `DES40_CBC`
    `static int` | `ESTREAM_SALSA20`
    `static int` | `IDEA_CBC`
    `static int` | `NULL`
    `static int` | `RC2_CBC_40`
    `static int` | `RC4_128`
    `static int` | `RC4_40`
    `static int` | `SALSA20`
    `static int` | `SEED_CBC`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `EncryptionAlgorithm()`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### NULL

          public static final int NULL

      See Also:
        Constant Field Values

    - #### RC4_40

          public static final int RC4_40

      See Also:
        Constant Field Values

    - #### RC4_128

          public static final int RC4_128

      See Also:
        Constant Field Values

    - #### RC2_CBC_40

          public static final int RC2_CBC_40

      See Also:
        Constant Field Values

    - #### IDEA_CBC

          public static final int IDEA_CBC

      See Also:
        Constant Field Values

    - #### DES40_CBC

          public static final int DES40_CBC

      See Also:
        Constant Field Values

    - #### DES_CBC

          public static final int DES_CBC

      See Also:
        Constant Field Values

    - #### _3DES_EDE_CBC

          public static final int _3DES_EDE_CBC

      See Also:
        Constant Field Values

    - #### AES_128_CBC

          public static final int AES_128_CBC

      See Also:
        Constant Field Values

    - #### AES_256_CBC

          public static final int AES_256_CBC

      See Also:
        Constant Field Values

    - #### AES_128_GCM

          public static final int AES_128_GCM

      See Also:
        Constant Field Values

    - #### AES_256_GCM

          public static final int AES_256_GCM

      See Also:
        Constant Field Values

    - #### CAMELLIA_128_CBC

          public static final int CAMELLIA_128_CBC

      See Also:
        Constant Field Values

    - #### CAMELLIA_256_CBC

          public static final int CAMELLIA_256_CBC

      See Also:
        Constant Field Values

    - #### SEED_CBC

          public static final int SEED_CBC

      See Also:
        Constant Field Values

    - #### AES_128_CCM

          public static final int AES_128_CCM

      See Also:
        Constant Field Values

    - #### AES_128_CCM_8

          public static final int AES_128_CCM_8

      See Also:
        Constant Field Values

    - #### AES_256_CCM

          public static final int AES_256_CCM

      See Also:
        Constant Field Values

    - #### AES_256_CCM_8

          public static final int AES_256_CCM_8

      See Also:
        Constant Field Values

    - #### CAMELLIA_128_GCM

          public static final int CAMELLIA_128_GCM

      See Also:
        Constant Field Values

    - #### CAMELLIA_256_GCM

          public static final int CAMELLIA_256_GCM

      See Also:
        Constant Field Values

    - #### ESTREAM_SALSA20

          public static final int ESTREAM_SALSA20

      See Also:
        Constant Field Values

    - #### SALSA20

          public static final int SALSA20

      See Also:
        Constant Field Values

    - #### AEAD_CHACHA20_POLY1305

          public static final int AEAD_CHACHA20_POLY1305

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### EncryptionAlgorithm

          public EncryptionAlgorithm()